using TravelingSalesmanExact, GLPK, DelimitedFiles
set_default_optimizer!(GLPK.Optimizer)

inicio = time()

cities = []

f = readdlm("DJIB38.txt")

for i in 1:size(f)[1]
    push!(cities, [f[i,1] f[i,2]])
end

tour, cost = get_optimal_tour(cities; verbose = true)
plot_cities(cities[tour])

final = time()

println("\nEl tiempo de ejecución fue de ", final-inicio, " segundos")

